新手问题 麻烦推荐一些兼容 IE 6 的前端框架

mozillazg · 2013年05月13日 · 最后由 domizzi 回复于 2013年05月15日 · 19276 次阅读

谢谢!

ie6 是什么?

IE 是什么?

貌似很好吃的样子

blueprint ,960 Grid css 框架

Twitter Bootstrap 有兼容 IE6 的 patch,楼主可以用 Bootstrap + IE6 搜索一下。

不过实际情况也是非常惨不忍睹的。

通用 css 框架不好找, 以前一些支持 ie6 闻名的框架 blueprint, 2 年没动静了 960.gs, 也是几个月小更新一次, 新出的响应式框架 unsemantic 也不再支持 IE6 了 yaml, 商用收费,也半年没动静了

这个时代了还用 IE6 的项目。。。LZ 很悲惨呢。。

很意外什么样的项目还需要支持 IE6

楼上你们这堆人在秀什么优越性啊? 随便搞个国内的网站,老板能让你不支持 IE6?做梦啊。

垂直领域有大批 ie6 用户,还好已经降到了 20% 以下。

虽然说用户是上帝,但是我还是希望上帝多给我们点方便。我心底不知呐喊过多少次——用 ie6 的中国的网民们,我求求你们升级下浏览器

用 ie 6 的都是实在人, 根本就不关心你的网站样式多好看, 再就是 css/js 多一点它就跑不动了, 还是不要用框架的比较好

#9 楼 @ywencn 自己做老板就行了,哈哈

#9 楼 @ywencn 老板都要求支持 IE6 了,怎么还会有员工愿意给他干活?

#4 楼 @aston #5 楼 @_samqiu #6 楼 @method_missing 谢谢!我会去了解一下的。

#12 楼 @luikore 嗯,主要是自己在兼容性方面没什么经验,所以想借用框架来实现。

#10 楼 @xiaoronglv 希望 IE 6 早点消失。

项目经理一句:“兼容 IE 6-10” 我当时心就凉了。

#15 楼 @kgen 见不到老板啊,是项目经理的要求。

#20 楼 @mozillazg 其实,只需要兼容 IE6-9 问题不是太大,大不了就不支持别的浏览器么

#22 楼 @bhuztez 呃,不是只需要,是需要。主要是工期太短。

昨天晚上躺床上拿我的 windows phone 访问 ruby-china,样式那个悲剧啊

#21 楼 @mozillazg 在你们公司当项目经理好容易,呵呵。

根据 CNZZ 的统计数据,2012 年,IE6 在中国网民中的市场份额,从年初的 25% 降到了 16%,已经低于 IE8 的 22%,IE8 这一年基本维持稳定。

http://www.pingwest.com/ie6-china/

已经真到快要可以忽略的程度了吧,除非目标用户人群就在这 16% 里面。

你们都搞错了, IE6 是洗衣粉

「为落后买单」说的就是支持 IE6 . 来看看让中国人民骄傲的一张图。

Source

国内用 IE6 的人多主要是国内公司太迁就用 IE6 的人了,现在国内的主流网站都支持 IE6,不过也能理解这些公司,虽然用 IE6 的人比例低了,但是基数在,所以这批人是任何主流公司都不能放弃的潜在用户,于是导致了现在这种状况。。。。

https://github.com/ddouble/bsie boastrap 支持 ie6 的分支

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册